import request from '@/utils/request'

// 查询登陆拦截记录列表
export function listForbidFilter(query) {
  return request({
    url: '/cai/forbidFilter/list',
    method: 'get',
    params: query
  })
}

// 查询登陆拦截记录详细
export function getForbidFilter(id) {
  return request({
    url: '/cai/forbidFilter/' + id,
    method: 'get'
  })
}

// 新增登陆拦截记录
export function addForbidFilter(data) {
  return request({
    url: '/cai/forbidFilter',
    method: 'post',
    data: data
  })
}

// 修改登陆拦截记录
export function updateForbidFilter(data) {
  return request({
    url: '/cai/forbidFilter',
    method: 'put',
    data: data
  })
}

// 删除登陆拦截记录
export function delForbidFilter(id) {
  return request({
    url: '/cai/forbidFilter/' + id,
    method: 'delete'
  })
}
